Skip to main content
GET
/
v1
/
my-team
/
apps-and-websites-usage
/
{userId}
Fetch Apps And Websites Usage
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.trackpilots.com/v1/my-team/apps-and-websites-usage/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "success": true,
  "statusCode": 200,
  "statusMessage": "Fetched apps and websites successfully",
  "error": null,
  "data": {
    "summary": {
      "totalTimeSpentSeconds": 122404,
      "websiteTimeSpentSeconds": 44520,
      "appsTimeSpentSeconds": 77884
    },
    "websitesUsage": {
      "totalWebsiteTimeSpentSeconds": 44520,
      "websites": [
        {
          "domain": "chatgpt.com",
          "iconUrl": "https://chatgpt.com/favicon.ico",
          "timeSpentSeconds": 8375
        }
      ]
    },
    "appsUsage": {
      "totalAppsTimeSpentSeconds": 77884,
      "apps": [
        {
          "appName": "Visual Studio Code",
          "iconUrl": "https://trackpilots.s3.amazonaws.com/app-icon/vscode.png",
          "timeSpentSeconds": 41823
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string<uuid>
required

User ID of the team member

Example:

"ab7c4f30-1024-471a-a767-739df0dc53fd"

Query Parameters

timeZone
string
required

Timezone for logs calculation

Example:

"Asia/Kolkata"

Response

Fetched apps and websites usage successfully.

success
boolean
Example:

true

statusCode
integer
Example:

200

statusMessage
string
Example:

"Fetched apps and websites successfully"

error
null
Example:

null

data
object